//---------------------------------------------------------------------------

#ifndef acercaH
#define acercaH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>

#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TForm14 : public TForm
{
__published:	// IDE-managed Components
	TTimer *Timer1;
	TImage *Image1;
	TImage *Image2;
	void __fastcall FormHide(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	TColor __fastcall dameColor(int estrella);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall Timer1Timer(TObject *Sender);
	void __fastcall parte1(int cacho);
	void __fastcall creaParte1();
	void __fastcall pintaNave();
	void __fastcall jugar();
	void __fastcall FormKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
	void __fastcall iniciaDisparo();
	void __fastcall pintaDisparo();
	void __fastcall pintaMalos();
	void __fastcall pintaTexto();
	void __fastcall coliBala();
	void __fastcall coliNave();
	void __fastcall parte0();
private:	// User declarations
  TPicture* imagen;
  TPicture* inave;
  TPicture* disparo;
  TPicture* imalo;
  TPicture* ilogo;
  int lx2;
  typedef struct
  {
	  int x;
	  int y;
  }tlogo;
  typedef struct
  {
	  int x;
	  int y;
  }tmalo;
  typedef struct
  {
	  int x;
	  int y;
	  int vidas;
	  int puntos;
  } tnave;
  typedef struct
  {
	  int x;
	  int y;
  } ttiro;
  typedef struct
	{
	  int x;
	  int y;
	  int z;
	}  star;
  typedef struct
  {
	int x;
	int y;
	String texto;
	int tama;
  } txt;
	star estrellas[100];
	txt textos[3];
	tnave nave;
	ttiro tiro;
	tmalo malos[10];
	tlogo logo;
	int parte;
	int trozo;
	int loop;
	int puntos;
	bool disparando;


public:		// User declarations
	__fastcall TForm14(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm14 *Form14;
//---------------------------------------------------------------------------
#endif
